<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'HeroCard',
  components: {},
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  data() {
    return {};
  },
  methods: {},
});
</script>

<template>
  <a
    :href="data.button.link"
    class="hero-card slp-mb-lg-32"
    :class="`hero-card--${data.theme}`"
    :data-ga-name="data.button.data_ga_name"
    :data-ga-location="data.button.data_ga_location"
  >
    <img
      alt=""
      :src="data.image.src"
      class="slp-mb-16 hero-card__image"
      preload
    />
    <SlpTypography
      tag="h2"
      variant="heading5-bold"
      class="slp-mb-16 hero-card__blurb"
    >
      {{ data.blurb }}
    </SlpTypography>
    <SlpButton variant="tertiary" class="hero-card__button">
      {{ data.button.text }}
      <SlpIcon name="chevron-lg-right" variant="product" />
    </SlpButton>
  </a>
</template>

<style lang="scss" scoped>
.hero-card {
  border-radius: 8px;
  background: linear-gradient(
    176deg,
    rgba(255, 255, 255, 0.75) 0%,
    rgba(255, 255, 255, 0.4) 100%
  );
  width: 100%;
  max-width: 460px;
  border-radius: 9px;
  overflow: hidden;
  margin-right: 40px;
  padding: $spacing-24;
  transition: transform 0.3s ease;
  height: 100%;
  display: flex;
  flex-direction: column;
  .hero-card__button {
    color: #000;
  }
  &:hover {
    transform: translateY(-10px);
    cursor: pointer;
    .hero-card__button {
      text-decoration-color: currentColor !important;
      :deep .slp-icon {
        transform: translateX(8px);
      }
    }
  }
  &--dark {
    background: rgba(23, 19, 33, 0.9);
    .hero-card__blurb {
      color: $color-primary-300;
    }
    .hero-card__button {
      color: #fff;
      &:hover {
        text-decoration-color: currentColor !important;
      }
    }
  }
  &__blurb {
    padding: $spacing-24 0 0;
    color: $color-secondary-300;
  }
  &__button {
    color: $color-text-link-100;
    margin: auto 0 0;
    &:hover {
      text-decoration-color: currentColor !important;
    }
  }
  &__image {
    max-height: 260px;
    object-fit: cover;
    object-position: top;
    width: 100%;
  }
}
</style>
